<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.rescue.mapper.RescueOrderDetailMapper">


    <select id="selectRescueOrderDetailList"  resultType="cn.iocoder.yudao.module.rescue.domain.RescueOrderDetail">
       select * from rescue_order_detail
        <where>  
            <if test="rescueOrderId != null "> and rescue_order_id = #{rescueOrderId}</if>
            <if test="rescueDetailInfo != null  and rescueDetailInfo != ''"> and rescue_detail_info = #{rescueDetailInfo}</if>
            <if test="recordTime != null "> and record_time = #{recordTime}</if>
            <if test="recordMoney != null "> and record_money = #{recordMoney}</if>
            <if test="recordType != null  and recordType != ''"> and record_type = #{recordType}</if>
            <if test="deptId != null "> and dept_id = #{deptId}</if>
        </where>
    </select>
    
    <select id="selectRescueOrderDetailById"  resultType="cn.iocoder.yudao.module.rescue.domain.RescueOrderDetail">
       select * from rescue_order_detail
        where id = #{id}
    </select>

</mapper>